Hide navigation sidebar
Hide table of contents sidebar
Skip to content
ASDF Projects Tutorials Community
Back to top
View this page
Toggle table of contents sidebar

# roundtrip_object

asdf.testing.helpers.roundtrip_object(obj, version=None)

  Add the specified object to an AsdfFile’s tree, write the file to a buffer, then read it back in and return the deserialized object.

  Parameters:
    obj object

      Object to serialize.

    version str or None.

      ASDF Standard version. If None, use the library’s default version.

  Returns:
    object

      The deserialized object.